# SVN info
%global svnRev 96

# Prevent brp-java-repack-jars from being run.
%global __jar_repack %{nil}

Name:    bindex
Version: 2.2
Release: 17.svn96%{?dist}
Summary: Bundle Manifest Header Mapper

Group:   Development/Libraries
License: ASL 2.0
URL:     http://www.osgi.org/Repository/BIndex

# The source for this package was pulled from upstream's vcs.  Use the
# following commands to generate the tarball:
#  svn export -r ${svnRev} \
#    http://www.osgi.org/svn/public/trunk/org.osgi.impl.bundle.bindex \
#    bindex
#  tar -czvf bindex.r${svnRev}.svn.tar.gz bindex
Source0: %{name}.r%{svnRev}.svn.tar.gz
Patch0: add-classpath.patch

BuildArch: noarch

BuildRequires: ant
BuildRequires: aqute-bnd
BuildRequires: felix-osgi-obr
BuildRequires: felix-osgi-core
BuildRequires: java-devel >= 1:1.6.0
BuildRequires: junit
BuildRequires: kxml
BuildRequires: xpp3

Requires: java-headless
Requires: javapackages-tools

%description
A Java program that implements the manifest header to repository 
format mapping as described in the RFC-0112 Bundle Repository.

%prep
%setup -q -n %{name}
find . -type f -iname "*.jar" | xargs -t %__rm -f ;
%__mkdir_p bin
%patch0 -p1

%build
export CLASSPATH=$(build-classpath ant kxml junit xpp3 \
                                   felix/org.osgi.service.obr \
                                   felix/org.osgi.core)
javac -d bin $(find src -name *.java)
pushd jar
  %__ln_s $(build-classpath ant.jar)
  %__ln_s $(build-classpath kxml.jar) kxml2-min.jar
  %__ln_s $(build-classpath felix/org.osgi.service.obr.jar)
  %__ln_s $(build-classpath xpp3.jar)
popd
bnd buildx --output %{name}.jar bindex.bnd

%install
%__install -d -m 0755 %{buildroot}%{_javadir}
%__install -m 644 %{name}.jar %{buildroot}%{_javadir}/%{name}.jar

%files
%doc README
%license LICENSE.txt
%{_javadir}/*

%changelog
* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.2-17.svn96
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.2-16.svn96
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Tue Feb 16 2016 Omair Majid <omajid@redhat.com> - 2.2-15.svn96
- Fix FTBFS

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 2.2-15.svn96
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Dec 31 2015 Omair Majid <omajid@redhat.com> - 2.2-14.svn96
- Call bnd explicitly instead of building command line

* Wed Dec 30 2015 Omair Majid <omajid@redhat.com> - 2.2-14.svn96
- Update the spec file to use %%license and %%global

* Mon Jun 22 2015 Omair Majid <omajid@redhat.com> - 2.2-13.svn96
- Comply with the latest java packaging guidelines

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.2-12.svn96
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Mon Jun 09 2014 Omair Majid <omajid@redhat.com> - 2.2-11.svn96
- Depend on junit, not junit4
- Fixes build failure

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.2-11.svn96
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Mon Feb 24 2014 Omair Majid <omajid@redhat.com> - 2.2-10.svn96
- Requires java-headless

* Fri Nov 15 2013 Omair Majid <omajid@redhat.com> - 2.2-9.svn96
- Install unversioned jar only

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.2-8.svn96
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.2-7.svn96
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.2-6.svn96
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Thu Jan 12 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.2-5.svn96
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Oct 11 2011 Omair Majid <omajid@redhat.com> - 2.2-4.svn96
- Fix BuildRequire on aqute-bndlib (renamed to aqute-bnd)

* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.2-3.svn96
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sat Jul 31 2010 Victor G. Vasilyev <victor.vasilyev@sun.com> 2.2-2.svn96
- Use a macros for the install commands
- Use build-classpath to find aqute-bndlib.jar

* Thu Jul 29 2010 Victor G. Vasilyev <victor.vasilyev@sun.com> 2.2-1.svn96
- Use release tag according to the guidelines for svn snapshot
- Remove some macros

* Sun Jul 25 2010 Victor G. Vasilyev <victor.vasilyev@sun.com> 2.2-2
- Adjust macros
- Adjust the files section

* Tue Jun 29 2010 Victor G. Vasilyev <victor.vasilyev@sun.com> 2.2-1
- Initial package.
